BNFTP(1)

NAME
bnftp - Battle.net file transfer client

SYNOPSIS
bnftp [options] [servername [serverport]]

DESCRIPTION
bnftp is a simple program for downloading data files from a bnetd server. These files include tos.txt, upgrade MPQ archives, and ad banners.

If no servername is specified, localhost is assumed. If no serverport is specified, 6112 is assumed.

After the program is started it will connect to the server and then prompt for the filename to download. No directory components may be used in the filename. The file is copied to a file with the same name in the current directory.

OPTIONS

-b  Causes bnftp to emulate a Brood Wars client.

--client
    Causes bnftp to emulate a specific client. The following client tags are recognized: DRTL DSHR STAR SSHR SEXP W2BN. There are short options which may be used instead for the common clients.

-d  Causes bnftp to emulate a Diablo client.

-h --help --usage
    Print usage information and exit.

-s  Causes bnftp to emulate a Starcraft client.

-v --version
    Print its version number and exit.

-w  Causes bnftp to emulate a Warcraft II BNE client.

NOTES
The current version is available with the bnetd distribution at:

    http://www.bnetd.org/

BUGS
This program assumes that the terminal will move to the beginning of the current line when the carriage return character (^M) is printed. It also assumes the backspace character (^H) will move one column to the left that character printed after that will replace those already on the screen.

The terminal settings are not consulted for keybindings. The following are assumed:

^H  delete the character to the left of the cursor

^J  accept current line

^M (return)
    accept current line

^T  transpose the last two characters

^W  delete word to the left of the cursor

^U  delete the whole input line

^[ (escape)
    cancel the current input line

^? (delete)
    delete the character to the left of the cursor

SEE ALSO
bnetd(1)

AUTHOR
Ross Combs (ross@bnetd.org)